image
Scout API 1.0.0 — see schemas for shared types.
POST /api/image/edit
edit_image
Request body
Content-Type: application/json
Schema: ImageGenerationBody
Responses
- 201 — Created
application/json→ MultiImageResponse- 202 — Accepted
application/json→ AsyncJobResponse- 422 — Unprocessable Content
application/json→ ValidationError
POST /api/image/generate
generate_image
Request body
Content-Type: application/json
Schema: ImageGenerationBody
Responses
- 201 — Created
application/json→ MultiImageResponse- 202 — Accepted
application/json→ AsyncJobResponse- 422 — Unprocessable Content
application/json→ ValidationError
GET /api/image/models
get_models
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
tags |
query | array\<string> | no |
Responses
- 200 — OK
application/json→ ImageGenerationModelResponseList- 422 — Unprocessable Content
application/json→ ValidationError